Skip to main content

Approve Deliverable

POST /public/action/deliverable/approve

Approves a project deliverable, identified by client / project / deliverable name.

Authentication: X-API-KEY header (see Authentication).

Request body

FieldTypeDescription
clientNamestringClient name.
projectNamestringProject name.
deliverableNamestringDeliverable to approve.

Request

curl -X POST https://api.withmoxie.com/public/action/deliverable/approve \
-H "X-API-KEY: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{"clientName": "Acme Kft.", "projectName": "Website Redesign", "deliverableName": "Design homepage"}'

Response

Returns the updated ProjectDeliverableMini.

{
"id": "66b0f5d4c3a9e40012ab7000",
"clientId": "66b0f2a1c3a9e40012ab34cd",
"projectId": "66b0f4c3c3a9e40012ab6611",
"name": "Design homepage",
"statusId": "status_done",
"status": "Complete",
"priority": 2,
"description": null,
"assignedToList": [],
"approvalRequired": true,
"invoiceId": null,
"ticketId": null
}